#version 330

in vec3 vPosition;
in vec4 vNormal;
in vec2 texcoord;
out vec2 f_texcoord;

uniform mat4 modelview;

out Vertex
{
	vec4 normal;
	vec4 color;
} vertex;

void main()
{
	gl_Position = modelview * vec4(vPosition, 1);
	f_texcoord = texcoord;
	vertex.normal = vNormal;
	vertex.color = vec4(1, 1, 0, 1);
}	